Subject: Re: bug#36649: 27.0.50; pure space and pdumper

From: Eli Zaretskii <[email-masked]>
Date: Wed, 12 May 2021 22:17:22 +0300

> From: Stefan Monnier <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked],
>   [email-masked],  [email-masked],  [email-masked],
>   [email-masked],  [email-masked]
> Date: Wed, 12 May 2021 15:07:42 -0400
> 
> > I just don't want to risk that, not at all.  Because if we are missing
> > something, it will require efforts I'd rather put elsewhere.
> 
> I can see a risk that removing purespace will break unexec because of
> some oversight of some detail somewhere (simply because it's
> a configuration that's basically never tested), but I can't imagine the
> breakage to be hard to fix: running without purespace has been used
> during the bootstrap for many many years, both with pdump and with
> unexec, so it's really not "special".

Last time I needed to fix a breakage in the unexec build it took a
non-trivial effort, and would have probably taken even more, had I not
been fortunate to have a user who could investigate the problems on
his own and present clear and correct causes of the problems.

So my bitter experience doesn't confirm your optimism.